Subject: [bug#53765] [PATCH v2 05/18] gnu: Add clojure-core-memoize.

From: Maxime Devos <[email-masked]>
Date: Sat, 19 Mar 2022 20:56:41 +0100

Maxime Devos schreef op za 19-03-2022 om 20:46 [+0100]:
> An additional problem here is grafting.  If the AOT'ing was delayed
> to the application packages, then the libraries cannot be grafted,
> for the same reason that (C, C++, Go, ...) static libraries cannot be
> grafted.

Another benefit is that intermediate libraries will fail to build
if there are missing dependencies or syntax errors and perhaps if
the dependencies are out-of-date, which would make updating
intermediate libraries because it would be easier to see if the
packaged library actually works.

Greetings,
Maxime.